View Issue Details

IDProjectCategoryView StatusLast Update
0000556Far Manager 1.7xMacropublic2008-06-19 04:38
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000556: Menu.Select: неверно работает назначение хоткеев и пр.
DescriptionПри позиционировании с помощью Menu.Select неверно работает назначение хоткеев

макрос для тестирования:

F11
Menu.Select("Temporary panel",MENUSELECT_MATCH_TAIL)
F4

Если в появившемся диалоге ввести какой-либо хоткей, то он присвоится не Temporary panel, а плагину который в списке расположен первым.

Это происходит не только в меню плагинов, и не только с хоткеями.
Вот например тестовый farmenu.ini (с 3мя пустыми пунктами для простоты):

: 1
: 2
: 3

Тестовый макрос:

F2
$If (Menu.Select("2",MENUSELECT_MATCH_TAIL))
    $MMode 1
    Sleep(1000)
    Del
$End

Видно, что курсор позиционируется правильно, но тем не менее удалить предлагается первый (невыбранный) пункт
TagsNo tags attached.
Build2388

Activities

vskirdin

2008-06-17 12:01

administrator   bugnote:0001604

проверь вот на этой версии - http://ifolder.ru/7010183

JohnDoe

2008-06-19 04:24

updater   bugnote:0001611

Теперь работает

Issue History

Date Modified Username Field Change
2008-06-16 06:14 JohnDoe New Issue
2008-06-16 06:14 JohnDoe Status new => assigned
2008-06-16 06:14 JohnDoe Assigned To => vskirdin
2008-06-17 12:01 vskirdin Note Added: 0001604
2008-06-17 12:01 vskirdin Status assigned => feedback
2008-06-19 04:24 JohnDoe Note Added: 0001611
2008-06-19 04:24 JohnDoe Status feedback => resolved
2008-06-19 04:24 JohnDoe Resolution open => fixed
2008-06-19 04:38 vskirdin Build => 2388
2008-06-19 04:38 vskirdin Status resolved => closed
2008-06-19 04:38 vskirdin Fixed in Version => 1.71